commit 3ec6a380bda3d2193925e1c017ea2739476cc125
Author: Cui,Lili <lili.cui@intel.com>
Date:   Wed Nov 4 14:20:31 2020 +0800

    Enable MOVDIRI, MOVDIR64B, CLDEMOTE and WAITPKG for march=tremont
    
    1. Enable MOVDIRI, MOVDIR64B, CLDEMOTE and WAITPKG for march=tremont
    2. Move PREFETCHW from march=broadwell to march=silvermont.
    3. Add PREFETCHWT1 to march=knl
    
    gcc/ChangeLog:
    
    2020-11-09  Lili Cui  <lili.cui@intel.com>
    
            PR target/97685
            * config/i386/i386.h:
            (PTA_BROADWELL): Delete PTA_PRFCHW.
            (PTA_SILVERMONT): Add PTA_PRFCHW.
            (PTA_KNL): Add PTA_PREFETCHWT1.
            (PTA_TREMONT): Add PTA_MOVDIRI, PTA_MOVDIR64B, PTA_CLDEMOTE and PTA_WAITPKG.
            * doc/invoke.texi: Delete PREFETCHW for broadwell, skylake, knl, knm,
            skylake-avx512, cannonlake, icelake-client, icelake-server, cascadelake,
            cooperlake, tigerlake and sapphirerapids.
            Add PREFETCHW for silvermont, goldmont, goldmont-plus and tremont.
            Add XSAVEC and XSAVES for goldmont, goldmont-plus and tremont.
            Add MOVDIRI, MOVDIR64B, CLDEMOTE and WAITPKG for tremont.
            Add KEYLOCKER and HREST for alderlake.
            Add AMX-BF16, AMX-TILE, AMX-INT8 and UINTR for sapphirerapids.
            Add KEYLOCKER for tigerlake.

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index 4ff8b5e6562..d75a86bb8da 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -2449,8 +2449,7 @@ const wide_int_bitmask PTA_IVYBRIDGE = PTA_SANDYBRIDGE | PTA_FSGSBASE
   | PTA_RDRND | PTA_F16C;
 const wide_int_bitmask PTA_HASWELL = PTA_IVYBRIDGE | PTA_AVX2 | PTA_BMI
   | PTA_BMI2 | PTA_LZCNT | PTA_FMA | PTA_MOVBE | PTA_HLE;
-const wide_int_bitmask PTA_BROADWELL = PTA_HASWELL | PTA_ADX | PTA_PRFCHW
-  | PTA_RDSEED;
+const wide_int_bitmask PTA_BROADWELL = PTA_HASWELL | PTA_ADX | PTA_RDSEED;
 const wide_int_bitmask PTA_SKYLAKE = PTA_BROADWELL | PTA_AES | PTA_CLFLUSHOPT
   | PTA_XSAVEC | PTA_XSAVES | PTA_SGX;
 const wide_int_bitmask PTA_SKYLAKE_AVX512 = PTA_SKYLAKE | PTA_AVX512F
@@ -2469,16 +2468,17 @@ const wide_int_bitmask PTA_ICELAKE_SERVER = PTA_ICELAKE_CLIENT | PTA_PCONFIG
 const wide_int_bitmask PTA_TIGERLAKE = PTA_ICELAKE_CLIENT | PTA_MOVDIRI
   | PTA_MOVDIR64B | PTA_CLWB | PTA_AVX512VP2INTERSECT;
 const wide_int_bitmask PTA_KNL = PTA_BROADWELL | PTA_AVX512PF | PTA_AVX512ER
-  | PTA_AVX512F | PTA_AVX512CD;
+  | PTA_AVX512F | PTA_AVX512CD | PTA_PREFETCHWT1;
 const wide_int_bitmask PTA_BONNELL = PTA_CORE2 | PTA_MOVBE;
-const wide_int_bitmask PTA_SILVERMONT = PTA_WESTMERE | PTA_MOVBE | PTA_RDRND;
+const wide_int_bitmask PTA_SILVERMONT = PTA_WESTMERE | PTA_MOVBE | PTA_RDRND
+  | PTA_PRFCHW;
 const wide_int_bitmask PTA_GOLDMONT = PTA_SILVERMONT | PTA_AES | PTA_SHA | PTA_XSAVE
   | PTA_RDSEED | PTA_XSAVEC | PTA_XSAVES | PTA_CLFLUSHOPT | PTA_XSAVEOPT
   | PTA_FSGSBASE;
 const wide_int_bitmask PTA_GOLDMONT_PLUS = PTA_GOLDMONT | PTA_RDPID
   | PTA_SGX | PTA_PTWRITE;
 const wide_int_bitmask PTA_TREMONT = PTA_GOLDMONT_PLUS | PTA_CLWB
-  | PTA_GFNI;
+  | PTA_GFNI | PTA_MOVDIRI | PTA_MOVDIR64B | PTA_CLDEMOTE | PTA_WAITPKG;
 const wide_int_bitmask PTA_KNM = PTA_KNL | PTA_AVX5124VNNIW
   | PTA_AVX5124FMAPS | PTA_AVX512VPOPCNTDQ;
 
